Page MenuHomePhabricator

Amend spinner to standard loading indicator
Closed, ResolvedPublic

Description

ContentTranslation's loading spinner was the first following the three dot visual appearance, we've recently amended it to slightly increase contrast as part of UI standardization on these elements.
Base30 #72777d is the color of choice.

There are also small design/transition artefacts which are different than the (new and @Pginer-WMF approved) template.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterStandardize loading indicator appearance

Event Timeline

Volker_E triaged this task as Medium priority.Jul 18 2018, 1:33 PM
Volker_E created this task.

Change 446798 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/ContentTranslation@master] Standardize loading indicator appearance

https://gerrit.wikimedia.org/r/446798

@Volker_E is the proposal to update Content Translation version or to use a common loading component/widget in OOUI?
I think the later would help to keep the loading indicators in sync for future changes.

@Pginer-WMF We could think about this and I have thought about it, for now the patch is just amending the current status. There's a few open questions I would like to clarify with my OOUI peers first, it would be a pretty stupid widget and it's not clear where to deliver it from performance perspective pov. And there's also T163879 , which we should have clarified and resolved first as well.

Why can't I edit this task? @mmodell, @Aklapper, @Volker_E, does anyone of you know?

Why can't I edit this task? @mmodell, @Aklapper, @Volker_E, does anyone of you know?

@Petar.petkovic you were not previously a member of Trusted-Contributors. I've fixed that so you should be able to edit the task now.

@Petar.petkovic you were not previously a member of Trusted-Contributors. I've fixed that so you should be able to edit the task now.

Thanks @mmodell for looking into my case. I can still only comment on this ticket and don't see myself on the list of Trusted-Contributors members.

Aklapper changed the edit policy from "Custom Policy" to "All Users".Sep 17 2018, 5:57 PM
Aklapper changed Risk Rating from N/A to default.

Change 446798 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Standardize loading indicator appearance

https://gerrit.wikimedia.org/r/446798

Volker_E closed this task as Resolved.Jun 24 2019, 5:50 PM
Volker_E claimed this task.